Debian Bug report logs - #360391
linda: libs-not-in-depends message is confusing

version graph

Package: linda; Maintainer for linda is (unknown);

Reported by: Riku Voipio <riku.voipio@iki.fi>

Date: Sat, 1 Apr 2006 21:48:04 UTC

Severity: normal

Merged with 364140

Found in version linda/0.3.21

Fixed in version linda/0.3.22

Done: Steve Kowalik <stevenk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, riku.voipio@iki.fi, Steve Kowalik <stevenk@debian.org>:
Bug#360391; Package linda. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
New Bug report received and forwarded. Copy sent to riku.voipio@iki.fi, Steve Kowalik <stevenk@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linda: libs-not-in-depends message is confusing
Date: Sun, 02 Apr 2006 00:22:51 +0300
Package: linda
Version: 0.3.21
Severity: normal

Currently I'm getting the following message:

-snip-
W: kaffeine; A binary links against a library it does not use symbols from
 This package contains a binary that links against a library that is
 not in the Depends line. This may also be a bug in the library which
 does not have a shlibs file.
-snip-

1) The short and long messages are contradicting. If the short message is 
true, I need prevent it from from linking needlesly. If the long 
message is true, I need to file a bug against the library package.

2) There is no information of what binary is affected, or more importantly 
what libraries are not depended on.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15.1
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages linda depends on:
ii  binutils             2.16.1cvs20060117-1 The GNU assembler, linker and bina
ii  dash                 0.5.3-2             The Debian Almquist Shell
ii  dpkg-dev             1.13.17             package building tools for Debian
ii  file                 4.17-1              Determines file type using "magic"
ii  man-db               2.4.3-3             The on-line manual pager
ii  python               2.3.5-5             An interactive high-level object-o

Versions of packages linda recommends:
ii  debian-policy                 3.6.2.2    Debian Policy Manual and related d

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Steve Kowalik <stevenk@debian.org>:
Bug#360391; Package linda. Full text and rfc822 format available.

Acknowledgement sent to 360391@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Steve Kowalik <stevenk@debian.org>. Full text and rfc822 format available.

Message #10 received at 360391@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Riku Voipio <riku.voipio@iki.fi>, 360391@bugs.debian.org
Subject: Re: linda: libs-not-in-depends message is confusing
Date: Mon, 10 Apr 2006 19:06:49 +0200
* Riku Voipio [Sun, 02 Apr 2006 00:22:51 +0300]:

Hi,

> Currently I'm getting the following message:

> -snip-
> W: kaffeine; A binary links against a library it does not use symbols from
>  This package contains a binary that links against a library that is
>  not in the Depends line. This may also be a bug in the library which
>  does not have a shlibs file.
> -snip-

> 1) The short and long messages are contradicting. If the short message is 
> true, I need prevent it from from linking needlesly. If the long 
> message is true, I need to file a bug against the library package.

  Arf. The original version of the short description ("A binary links
  against a library that is not depended on") was correct, but it was
  changed:

    linda (0.3.19) unstable; urgency=low

      * BinaryCheck:
        - Change the description of libs-not-in-depends. (thanks,  Adeodato
          Simó)

  This comes from http://lists.debian.org/debian-devel/2006/03/msg00940.html; 
  when writing the message, I didn't have the time to check the code and see
  which of the two cases was the actual one; sorry for that, since that
  contributed to causing this mess. Now I've seen that it was the second
  one (linking to a lib not Depended on), but Steve applied the suggestion
  intended for the other case.

  This change should be reverted, and hopefully Nicolas François' patch
  in #357727 (or a similar one) applied in the next upload, in order to
  fix #2 below, _and_ the big number of false positives that this check
  in its current form introduces.

> 2) There is no information of what binary is affected, or more importantly 
> what libraries are not depended on.

  Thanks,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
British policemen don't wear guns. If they're chasing someone, they
yell, "Stop! Or I'll yell stop again".
                -- Robin Williams




Merged 360391 364140. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Steve Kowalik <stevenk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Steve Kowalik <stevenk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Steve Kowalik <stevenk@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 360391-close@bugs.debian.org (full text, mbox):

From: Steve Kowalik <stevenk@debian.org>
To: 360391-close@bugs.debian.org
Subject: Bug#360391: fixed in linda 0.3.22
Date: Wed, 17 May 2006 05:32:02 -0700
Source: linda
Source-Version: 0.3.22

We believe that the bug you reported is fixed in the latest version of
linda, which is due to be installed in the Debian FTP archive:

linda_0.3.22.dsc
  to pool/main/l/linda/linda_0.3.22.dsc
linda_0.3.22.tar.gz
  to pool/main/l/linda/linda_0.3.22.tar.gz
linda_0.3.22_all.deb
  to pool/main/l/linda/linda_0.3.22_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 360391@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Kowalik <stevenk@debian.org> (supplier of updated linda package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 17 May 2006 22:19:17 +1000
Source: linda
Binary: linda
Architecture: source all
Version: 0.3.22
Distribution: unstable
Urgency: low
Maintainer: Steve Kowalik <stevenk@debian.org>
Changed-By: Steve Kowalik <stevenk@debian.org>
Description: 
 linda      - Debian package checker, not unlike lintian
Closes: 313587 357727 360391 361782 361868 363919 364140 364162 364511 364812 365478 365663 367037
Changes: 
 linda (0.3.22) unstable; urgency=low
 .
   * Update copyright date.
   * Add debugging for which charset we are using.
   * Manual page:
     - Add an example for -t. (Closes: #363919)
   * Collector:
     - Since nothing now uses it, rip out running ldd.
   * BinaryCheck:
     - Rip out libs-not-in-depends.
       (Closes: #357727, #360391, #364140, #365478)
     - Rewrite the double-shlibs check to use objdump. (Closes: #361782)
   * ChangelogCheck:
     - Only complain about a changelog that is HTML only if file actually
       reports it as being HTML. (Closes: #361868)
   * ControlCheck:
     - The correct Section is doc. (Closes: #364812)
   * DocumentationCheck:
     - Only check doc-base files in /usr/share/doc-base. (Closes: #364511)
   * FilesCheck:
     - Only complain if the output from file doesn't contain executable.
       (Closes: #367037)
   * LibraryCheck:
     - Don't use symlinks that have no SOVER. (Closes: #313587)
   * MenuCheck:
     - Special case WindowManagers as an allowable top-level section.
       (Closes: #364162)
   * StandardsVersionCheck:
     - Mark Policy 3.5 as out of date.
     - Update newer check to Policy 3.7.2. (Closes: #365663)
Files: 
 c3a3b01f171b92a1dfdf6ab7ff4be379 538 devel optional linda_0.3.22.dsc
 4ed0ddc41a0ac6fd7adc2ff3335f63be 1426792 devel optional linda_0.3.22.tar.gz
 a46940ef8306364f329c180fbe84fbe3 208550 devel optional linda_0.3.22_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFEaxYKCfB0CMh//C8RAqnJAJ9cGBgDtmMMXy7zN/S3YRrcOTMlEACgg7QP
OldmIImHzh5gMqYRXpFhhVU=
=/ire
-----END PGP SIGNATURE-----




Reply sent to Steve Kowalik <stevenk@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 364140-close@bugs.debian.org (full text, mbox):

From: Steve Kowalik <stevenk@debian.org>
To: 364140-close@bugs.debian.org
Subject: Bug#364140: fixed in linda 0.3.22
Date: Wed, 17 May 2006 05:32:02 -0700
Source: linda
Source-Version: 0.3.22

We believe that the bug you reported is fixed in the latest version of
linda, which is due to be installed in the Debian FTP archive:

linda_0.3.22.dsc
  to pool/main/l/linda/linda_0.3.22.dsc
linda_0.3.22.tar.gz
  to pool/main/l/linda/linda_0.3.22.tar.gz
linda_0.3.22_all.deb
  to pool/main/l/linda/linda_0.3.22_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 364140@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Kowalik <stevenk@debian.org> (supplier of updated linda package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 17 May 2006 22:19:17 +1000
Source: linda
Binary: linda
Architecture: source all
Version: 0.3.22
Distribution: unstable
Urgency: low
Maintainer: Steve Kowalik <stevenk@debian.org>
Changed-By: Steve Kowalik <stevenk@debian.org>
Description: 
 linda      - Debian package checker, not unlike lintian
Closes: 313587 357727 360391 361782 361868 363919 364140 364162 364511 364812 365478 365663 367037
Changes: 
 linda (0.3.22) unstable; urgency=low
 .
   * Update copyright date.
   * Add debugging for which charset we are using.
   * Manual page:
     - Add an example for -t. (Closes: #363919)
   * Collector:
     - Since nothing now uses it, rip out running ldd.
   * BinaryCheck:
     - Rip out libs-not-in-depends.
       (Closes: #357727, #360391, #364140, #365478)
     - Rewrite the double-shlibs check to use objdump. (Closes: #361782)
   * ChangelogCheck:
     - Only complain about a changelog that is HTML only if file actually
       reports it as being HTML. (Closes: #361868)
   * ControlCheck:
     - The correct Section is doc. (Closes: #364812)
   * DocumentationCheck:
     - Only check doc-base files in /usr/share/doc-base. (Closes: #364511)
   * FilesCheck:
     - Only complain if the output from file doesn't contain executable.
       (Closes: #367037)
   * LibraryCheck:
     - Don't use symlinks that have no SOVER. (Closes: #313587)
   * MenuCheck:
     - Special case WindowManagers as an allowable top-level section.
       (Closes: #364162)
   * StandardsVersionCheck:
     - Mark Policy 3.5 as out of date.
     - Update newer check to Policy 3.7.2. (Closes: #365663)
Files: 
 c3a3b01f171b92a1dfdf6ab7ff4be379 538 devel optional linda_0.3.22.dsc
 4ed0ddc41a0ac6fd7adc2ff3335f63be 1426792 devel optional linda_0.3.22.tar.gz
 a46940ef8306364f329c180fbe84fbe3 208550 devel optional linda_0.3.22_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFEaxYKCfB0CMh//C8RAqnJAJ9cGBgDtmMMXy7zN/S3YRrcOTMlEACgg7QP
OldmIImHzh5gMqYRXpFhhVU=
=/ire
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 08:06:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:37:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.